import 'react';
import { KEYS_ALIGN, upsertAlign } from '@udecode/slate-plugins-alignment';
import { someNode, getPreventDefaultHandler } from '@udecode/slate-plugins-common';
import { useStoreEditorState, useEventEditorId } from '@udecode/slate-plugins-core';
import { ToolbarButton } from '@udecode/slate-plugins-toolbar';
import { jsx } from 'react/jsx-runtime';

const ToolbarAlign = ({
  type,
  unwrapTypes = KEYS_ALIGN,
  ...props
}) => {
  const editor = useStoreEditorState(useEventEditorId('focus'));
  return /*#__PURE__*/jsx(ToolbarButton, {
    active: !!(editor !== null && editor !== void 0 && editor.selection) && !!type && someNode(editor, {
      match: {
        type
      }
    }),
    onMouseDown: editor ? getPreventDefaultHandler(upsertAlign, editor, {
      type,
      unwrapTypes
    }) : undefined,
    ...props
  });
};

export { ToolbarAlign };
//# sourceMappingURL=index.es.js.map
