'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
var slatePluginsAlignment = require('@udecode/slate-plugins-alignment');
var slatePluginsCommon = require('@udecode/slate-plugins-common');
var slatePluginsCore = require('@udecode/slate-plugins-core');
var slatePluginsToolbar = require('@udecode/slate-plugins-toolbar');
var jsxRuntime = require('react/jsx-runtime');

const ToolbarAlign = ({
  type,
  unwrapTypes = slatePluginsAlignment.KEYS_ALIGN,
  ...props
}) => {
  const editor = slatePluginsCore.useStoreEditorState(slatePluginsCore.useEventEditorId('focus'));
  return /*#__PURE__*/jsxRuntime.jsx(slatePluginsToolbar.ToolbarButton, {
    active: !!(editor !== null && editor !== void 0 && editor.selection) && !!type && slatePluginsCommon.someNode(editor, {
      match: {
        type
      }
    }),
    onMouseDown: editor ? slatePluginsCommon.getPreventDefaultHandler(slatePluginsAlignment.upsertAlign, editor, {
      type,
      unwrapTypes
    }) : undefined,
    ...props
  });
};

exports.ToolbarAlign = ToolbarAlign;
//# sourceMappingURL=index.js.map
